@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;600;700;800&display=swap');
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Open Sans', sans-serif;
  text-decoration: none;
  list-style: none;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  background: #263038;
}

.navigation {
  position: relative;
  height: 500px;
  width: 70px;
  background: #2b343b;
  box-shadow: 10px 0 0 #4187f6;
  border-left: 10px solid #2b343b;
  overflow-x: hidden; /* isso faz o que ficar pra fora de width sumir */
  transition: width 0.5s;
}

.navigation:hover {
  width: 300px;
}

.navigation ul {
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  padding-left: 5px;
  padding-top: 40px;
}

.navigation ul li {
  position: relative;
  width: 100%;
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
}

.navigation ul li.active {
  background-color: #4187f6;
}

.navigation ul li.active a::before {
  content: '';
  position: absolute;
  top: -30px;
  right: 0;
  width: 30px;
  height: 30px;
  background: 2b343b;
  border-radius: 50%;
  box-shadow: 15px 15px 0 #4187f6;
}

.navigation ul li.active a::after {
  content: '';
  position: absolute;
  bottom: -30px;
  right: 0;
  width: 30px;
  height: 30px;
  background: 2b343b;
  border-radius: 50%;
  box-shadow: 15px -15px 0 #4187f6;
}

.navigation ul li a {
  position: relative;
  display: block;
  width: 100%;
  display: flex;
  text-decoration: none;
  color: #fff;
}

.navigation ul li a .icon {
  position: relative;
  display: block;
  min-width: 60px;
  height: 60px;
  line-height: 70px;
  text-align: center;
}

.navigation ul li a .icon ion-icon {
  position: relative;
  font-size: 1.5em;
  z-index: 1;
}

.navigation ul li a .title {
  position: relative;
  display: block;
  padding-left: 10px;
  height: 60px;
  line-height: 60px;
  white-space: nowrap;
}